import type { NextPage } from 'next';
import Head from 'next/head';
import Link from 'next/link';
import styles from './index.module.css';

const Home: NextPage = () => {
  return (
    <div className={styles.container}>
      <Head>
        <title>Sealos Home</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <h1 className={styles.title}>
          Welcome to <Link href="https://www.sealos.io/">SealOS </Link> Cloud!
        </h1>

        <p className={styles.description}>
          <code className={styles.code}>This page is for temporary demonstration use.</code>
        </p>

        <div className={styles.grid}>
          <Link href="https://www.sealos.io/docs/intro" className={styles.card}>
            <h2>Documentation &rarr;</h2>
            <p>Find in-depth information about sealos features and API.</p>
          </Link>

          <Link href="https://www.sealos.io/blog" className={styles.card}>
            <h2>Blog &rarr;</h2>
            <p>Find newest information about sealos design and news!</p>
          </Link>

          <Link href="https://github.com/labring/sealos" className={styles.card}>
            <h2>GitHub &rarr;</h2>
            <p>Discover sealos in open source world!</p>
          </Link>

          <Link href={process.env.NEXT_PUBLIC_API_HOST + 'auth/login'} className={styles.card}>
            <h2>Login & Register &rarr;</h2>
            <p>Instantly deploy your Next.js site to a public URL with Vercel.</p>
          </Link>
        </div>
      </main>

      <footer className={styles.footer}>
        <Link
          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          Powered by Next.js
        </Link>
      </footer>
    </div>
  );
};

export default Home;
